package com.nosum.deliver.auth.domain.po;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户信息实体
 *
 * @author Young
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class AuthUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Id
    private ObjectId id;

    /**
     * 别名
     */
    private String name;

    /**
     * 角色主键 1 普通用户 2 admin
     */
    private Long roleId;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 密码
     */
    private String password;

    /**
     * 用户状态 0 正常 1 锁定
     */
    private Integer status;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 个人介绍
     */
    private String introduction;

    /**
     * 注册时间
     */
    private LocalDateTime createTime;

}
