package com.nosum.deliver.author.domain.po;

import lombok.Data;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDateTime;


/**
 * 作者发布的视频.
 *
 * @author Young
 */
@Data
@Document("author_video")
public class AuthorVideo {

    @Id
    private ObjectId id;

    /**
     * 简介
     */
    private String desc;

    /**
     * 视频链接
     */
    private String link;

    /**
     * 作者
     */
    private String finderUin;

    /**
     * 发布时间
     */
    private LocalDateTime sendTime;

    /**
     * 曝光次数
     */
    private Integer exposureCount;

    /**
     * 点赞次数
     */
    private Integer likeCount;

    /**
     * 完整播放次数
     */
    private Integer playCount;

    /**
     * 关注次数
     */
    private Integer followCount;

    /**
     * 收藏次数
     */
    private Integer collectCount;

    /**
     * 评论次数
     */
    private Integer commentCount;


    /**
     * 投放标签
     */
    private String putTag;

    /**
     * 投放城市
     */
    private String putCity;

    /**
     * 投放性别
     */
    private Integer putGender;

    /**
     * 投放人
     */
    private String putUser;

    /**
     * 是否已投放
     */
    private Integer isPut;
}
