package com.nosum.deliver.posts.dao;

import com.nosum.deliver.posts.domain.vo.PostsStatisticsVO;
import com.nosum.deliver.posts.domain.vo.PostsVO;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author sumbytes
 * @since 2019-08-28
 */
public interface PostsDao{

    /**
     * 看板统计
     */
    PostsVO selectPostsTotal();

    /**
     * 按照时间进行归档统计某个时间有多个文章
     */
    List<PostsVO> selectArchiveTotalGroupDateList();

    /**
     * 按照年维度查询带有文章标题的归档列表
     * @return
     */
    List<PostsVO> selectArchiveGroupYearList();

    List<PostsVO> selectByArchiveDate(LocalDateTime archiveDate);

    PostsStatisticsVO selectByStatistics();

}
